Retrieve the stock quantities of products

This API fetches the stock quantities of all products in the specified center.

You must specify appropriate details for the center_id and inventory_date parameters. Optionally, you can provide the necessary details for the search_string and product_type parameters.

Response Details

NameTypeDescription
listobjectObject that contains the list of products in the center. For more information, refer to the list Object table.
ErrorobjectObject that contains error message and error code details.

list Object

NameTypeDescription
center_codestringCode of the center.
product_codestringCode of the product.
product_namestringName of the product.
categorystringCategory of the product.
sub_categorystringSub-category of the product.
store_quantityfloatStore quantity of the product.
floor_quantityfloatFloor quantity of the product.
total_quantityfloatTotal quantity of the product.
Query Params
string
required

Mandatory Unique 32-character identifier of the center.

date
required

Mandatory Date for which the stock details are to be retrieved. Date format: yyyy-mm-dd. Time format: hh:mm:ss for a 24-hour clock.

string
Defaults to null

Optional Specify the products that you want to search. Default value: null.

string
enum
Defaults to 3

Optional Indicates the type of products that are to be retrieved: Retail - 1, Consumable - 2, and All - 3. Default value: 3.

Allowed:
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json